package com.ruoyi.business.domain.req;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级对象 t_clazz
 *
 * @author muyu
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ClazzQueryReq", description = "班级")
public class ClazzQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 班级ID */
    @TableId(value = "clazzId",type = IdType.AUTO)
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long clazzId;

    /** 班级名称 */
    @ApiModelProperty(name = "班级名称", value = "班级名称")
    private String clazzName;

    /** 状态 */
    @ApiModelProperty(name = "状态", value = "状态")
    private String status;

}
